<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Cloud](./bitburner.cloud.md)

## Cloud interface

Cloud API

**Signature:**

```typescript
export interface Cloud 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[deleteServer(host)](./bitburner.cloud.deleteserver.md)


</td><td>

Delete a cloud server.


</td></tr>
<tr><td>

[getRamLimit()](./bitburner.cloud.getramlimit.md)


</td><td>

Returns the maximum RAM that a cloud server can have.


</td></tr>
<tr><td>

[getServerCost(ram)](./bitburner.cloud.getservercost.md)


</td><td>

Get cost of purchasing a cloud server.


</td></tr>
<tr><td>

[getServerLimit()](./bitburner.cloud.getserverlimit.md)


</td><td>

Returns the maximum number of cloud servers you can purchase.


</td></tr>
<tr><td>

[getServerNames(returnOpts)](./bitburner.cloud.getservernames.md)


</td><td>

Returns an array with the hostnames or IP addresses of all of the cloud servers you have purchased. Returns hostnames by default.


</td></tr>
<tr><td>

[getServerUpgradeCost(host, ram)](./bitburner.cloud.getserverupgradecost.md)


</td><td>

Get cost of upgrading a cloud server to the given RAM.


</td></tr>
<tr><td>

[purchaseServer(hostname, ram)](./bitburner.cloud.purchaseserver.md)


</td><td>

Purchase a cloud server.


</td></tr>
<tr><td>

[renameServer(hostname, newName)](./bitburner.cloud.renameserver.md)


</td><td>

Rename a cloud server.


</td></tr>
<tr><td>

[upgradeServer(host, ram)](./bitburner.cloud.upgradeserver.md)


</td><td>

Upgrade a cloud server's RAM.


</td></tr>
</tbody></table>

